"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.enableActivityRecognitionTracking = enableActivityRecognitionTracking;
exports.getLastKnownLocation = getLastKnownLocation;
exports.multiply = multiply;
exports.restartAfterReboot = restartAfterReboot;
exports.startFrequentLocationUpdates = startFrequentLocationUpdates;
exports.startSensors = startSensors;
exports.startSignificantLocationUpdates = startSignificantLocationUpdates;
exports.stop = stop;
exports.stopSensors = stopSensors;

var _reactNative = require("react-native");

const LINKING_ERROR = `The package 'react-native-activity-recognition-wrapper' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const ActivityRecognitionWrapper = _reactNative.NativeModules.ActivityRecognitionWrapper ? _reactNative.NativeModules.ActivityRecognitionWrapper : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});

function multiply(a, b) {
  return ActivityRecognitionWrapper.multiply(a, b);
}
/**
 *
 * @param distanceFilter The minimum distance to be covered by the device before the app starts receiving location updates from the OS (in meters, eg 100 for 100meters.)
 * @returns
 */


function enableActivityRecognitionTracking(distanceFilter, updateDuration, accuracy, notificationTitle, notificationDescription) {
  if (_reactNative.Platform.OS === 'android') {
    return ActivityRecognitionWrapper.enableActivityRecognitionTracking(distanceFilter, updateDuration, accuracy, notificationTitle, notificationDescription);
  } else {
    return ActivityRecognitionWrapper.enableActivityRecognitionTracking(distanceFilter, updateDuration, accuracy);
  }
}

function restartAfterReboot() {
  return ActivityRecognitionWrapper.restartAfterReboot();
}

function startSignificantLocationUpdates() {
  return ActivityRecognitionWrapper.startSignificantLocationUpdates();
}

function startFrequentLocationUpdates() {
  return ActivityRecognitionWrapper.startFrequentLocationUpdates();
}

function stop() {
  return ActivityRecognitionWrapper.stop();
}

function startSensors(folderStructure, sensorInfoList) {
  console.log('Starting sensors1...');
  ActivityRecognitionWrapper.startSensors(folderStructure, sensorInfoList);
}

function stopSensors() {
  return ActivityRecognitionWrapper.stopSensors();
}

function getLastKnownLocation() {
  console.log('Here2');
  return ActivityRecognitionWrapper.getLastKnownLocation();
}
//# sourceMappingURL=index.js.map