import { NativeModules, Platform } from 'react-native';
const LINKING_ERROR = `The package 'react-native-activity-recognition-wrapper' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const ActivityRecognitionWrapper = NativeModules.ActivityRecognitionWrapper ? NativeModules.ActivityRecognitionWrapper : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});
export function multiply(a, b) {
  return ActivityRecognitionWrapper.multiply(a, b);
}
/**
 *
 * @param distanceFilter The minimum distance to be covered by the device before the app starts receiving location updates from the OS (in meters, eg 100 for 100meters.)
 * @returns
 */

export function enableActivityRecognitionTracking(distanceFilter, updateDuration, accuracy, notificationTitle, notificationDescription) {
  if (Platform.OS === 'android') {
    return ActivityRecognitionWrapper.enableActivityRecognitionTracking(distanceFilter, updateDuration, accuracy, notificationTitle, notificationDescription);
  } else {
    return ActivityRecognitionWrapper.enableActivityRecognitionTracking(distanceFilter, updateDuration, accuracy);
  }
}
export function restartAfterReboot() {
  return ActivityRecognitionWrapper.restartAfterReboot();
}
export function startSignificantLocationUpdates() {
  return ActivityRecognitionWrapper.startSignificantLocationUpdates();
}
export function startFrequentLocationUpdates() {
  return ActivityRecognitionWrapper.startFrequentLocationUpdates();
}
export function stop() {
  return ActivityRecognitionWrapper.stop();
}
export function startSensors(folderStructure, sensorInfoList) {
  console.log('Starting sensors1...');
  ActivityRecognitionWrapper.startSensors(folderStructure, sensorInfoList);
}
export function stopSensors() {
  return ActivityRecognitionWrapper.stopSensors();
}
export function getLastKnownLocation() {
  console.log('Here2');
  return ActivityRecognitionWrapper.getLastKnownLocation();
}
//# sourceMappingURL=index.js.map